2.7.1 RETAIL
* This release is the first public release that also includes source changes from the classic version. Going forward there will be a single source for both classic and retail mod versions. The sole exception being the TOC file will differ between the two, as this is unavoidable as best as I can tell.
* Updated ToC version number to 80205
* Fix "No Spell" menu always being checked. This issue was never released since it was an issue with in the classic source.

2.7.0 CLASSIC
* Due to the structural changes in this update you should re-add any spells that you want to use to Healium by drag and dropping from the spellbook (see below) and also reselect your debuff sound.
* Removed button configuration from the Healium Configuration Panel and from the Configure Buttons menu. Use Drag and drop from the spellbook onto buttons to configure Healium spells, in Classic from now on.
* Buttons will remember and use the specific rank of the spell when drag and dropped from the spellbook
* Fixed always showing tooltips of the lowest rank of spell
* Spell ranks are shown near the bottom of button tooltips, if tooltips are enabled
* Fix debuff sounds not playing
* Removed debuff sounds that don't exist in classic

2.6.4 CLASSIC
* Added Shaman Healing Wave (classic version) to the default list of spells
* Fixed incoming heal bar being visible on some frames

2.6.3 CLASSIC 
* Fix LUA errors caused by cures that don't exist in classic
* Added Paladin Holy Light (classic version) to the default list of spells
* Removed options to show roles, incoming heals, and threat since classic doesn't support these at all

2.6.2 CLASSIC
* First release supporting WoW Classic

2.6.1
* Fix not displaying unit frames after first logging in.
* Fix LUA errors for priests when Power World: Shield was used on a button

2.6.0
* Updated for Battle for Azeroth 

2.5.9
* Fix bugs with PlaySound caused by Blizzard api changes in this patch

2.5.8
* Updated ToC version number to 70300 for wow 7.3 patch

2.5.7
* Updated ToC version number to 70200 for wow 7.2 patch

2.5.6
* Updated ToC version number to 70100 for wow 7.1 patch

2.5.5
* Paladin: Added Light of the Martyr to default spell list
* Monk:
 * Added Zen Pulse to the default spell list
 * Added Vivify to the default spell list
 * Added MistWalk to the default spell list
 * Fixed not updating cure states when switching specs.  A result of not doing this was that Monk Detox could improperly show up as curable or not after switching specs

2.5.4
* Druid: Swiftmend is no longer darkened based on if Rejuvination or Regrowth is on the target

2.5.3
* Fix LUA errors when on a Paladin, with Cleanse assigned to a button, and party member gets a magic debuf

2.5.2
* Mage: Removed "Remove Curse" from default spell list, which fixed some LUA errors when playing as a mage
* Paladin: Workaround for "Beacon of Virtue" not allowing drag and drop onto a Healium button
* Added these spells to the default list of spells:
 * Paladin: Cleanse Toxins
 * Paladin: Beacon of Virtue
 
2.5.1
* Priest: Now show Atonement buff 
* Priest: Removed Holy Word: Chastise from the default list of spells
* Added these spells to the default list of spells:
 * Priest: Plea
 * Priest: Shadow Mend.
 * Priest: Holy Word: Serenity	
 
2.5.0
* Updated ToC version number to 70000 for Legion pre-patch release
* Fix issues with spec swapping in Legion pre-patch

2.4.1
* Added "Clarity of Will" spell to default list of priest spells

2.4.0
* Added Healers and Damagers Frames.  These frames shows the players in the raid or party matching the Healers or Damagers roles
* Tanks frame now uses Tank role.

2.3.2
* Updated ToC version number to 60200 for wow 6.2 patch

2.3.1
* Druid "Rejuvenation (Germination)" will show up as a buff on a player now
* Paladin "Eternal Flame" will show up as a buff on a player now

2.3.0
* Replaced all use of Blizzard's drop down menu system with the NoTaint UIDropDownMenu library to remove taint

2.2.2
* Fixed debuff warning sounds not being played after wow 6.1 patch

2.2.1
* Updated ToC version number to 60100 for wow 6.1 patch

2.2.0
* Added these features which makes it easier to manage your button configuration:
 * Added Rotate Buttons Left to Healium Menu->Configure Buttons - Shift all buttons to the left one position and replaces the button furthest to the right with the first button
 * Added Rotate Buttons Right to Healium Menu->Configure Buttons - Shift all buttons to the right one position and replaces the first button with the button that was furthest to the right
 * Added Insert Button to the bottom of Healium Menu->Configure Buttons->Configure Button x.  This will increase your button count by 1 (up to the max), shift that button and all buttons after it to the right one position, and sets that button to an empty spell, effectively inserting an empty spell at that button index.
 * Added Delete Button to the bottom of Healium Menu->Configure Buttons->Configure Button x.  This will shift all buttons after that button to the left one position, and decrease your button count by one, effectively deleting that button.
 * Added "No Spell" to the bottom of Healium Menu->Configure Buttons->Configure Button x.  This sets the button to the default empty spell state.
 * Added "No Spell" to the bottom of each Button Configuration dropdown on the Healium Config Panel.  This sets the button to the default empty spell state.
* Changed "Close" on the Healium Menu to "Close Menu" to remove ambiguity
* Removed the default spells that were removed in the Warloads of Draenor pre-patch release.  This won't have a noticeable impact, but saves a bit of memory and improves the code quality.
* Added these spells to the default list of spells
 * Druid: Cenarion Ward 
 * Shaman: Unleash Life
* Fixed activating debuff warnings for magic based debuffs for Paladins and Monks due to Warloads of Draenor changes
* Fixed activating the debuff warning sound when the debuff was on yourself

 
2.1.15
* Updated ToC version number to 60000 for Warloads of Draenor pre-patch release

2.1.14
* Workaround for Blizzard slider bug from 5.4.0 that caused the button count slider to show fractional numbers
* Added these spells to the default list of spells
 * Druid: Revive
 * Priest: Resurrection
 * Shaman: Ancestral Spirit
 * Paladin: Redemption
 * Death Knight: Raise Ally
 
2.1.13
* Temporary workaround for Blizzard 5.4.1 taint bug.

2.1.12
* Updated ToC version number

2.1.11
* Fix missing name text and other draw-order related issues by reworking some frame parenting and changing framelevel from a static number set in xml to a calculated number in script
* Showing config panel (via /hlm config or Healium menu) now always opens directly to Healium config panel (work around new bliz bug)
* Removed names from most frames to avoid potential name collision issues with other addons

2.1.10
* Updated ToC version number

2.1.9
* Fixed in-addon version number (was left as 2.1.7 in 2.1.8)

2.1.8
* Updated ToC version number

2.1.7
* Update for wow 5.1 patch
* Monk - "Detox" now triggers cure magic logic only if it can actually cure magic 
* Fix lua errors relating to cooldowns after 5.1 patch

2.1.6 
* Priest - Added "Dispel Magic" as a default spell, and configured it for curing
* Fix LUA errors regarding invalid health values
* Fixed some issues caused by dynamic spells during combat.  E.g. Balance Druid changing "Hurricane" into "Astral Storm" during "Lunar Eclipse", 
  resulting in tooltips for some spells showing as different spells, and getting other invalid states 

2.1.5
* Shaman - Removed cure magic attribute from "Cleanse Spirit"
* Shaman - Added "Purify Spirit" as a default spell, and configured it for curing

2.1.4
* Druid - Added "Remove Corruption" as a default spell, and configured it for curing
* Paladin - Added "Sacred Shield" as a default spell
* Paladin - Added "Eternal Flame" as a default spell
* Paladin - Added "Hand of Purity" as a default spell
* Paladin - Added "Holy Prism" as a default spell
* Paladin - Added "Execution Sentence" as a default spell
* Paladin - Fixed "Cleanse" magic cure logic, only shows magic debuffs if you can actually cure magic
* Paladin - Fixed perma buffs not showing as buffs.  This wasn't necessarliy a bug before, but "Beacon of Light" was changed to perma, so it quit showing as a buff.

2.1.3
* Fixed LUA error caused by latest patch: GetSpellBookItemName(): Invalid spell slot

2.1.2
(Replaced latest Healium release for Cataclysm version with Healium for MoP beta since Blizzard released patch 5.0.4 ahead of actual MoP release)
* Fixed LUA error caused in last beta patch

2.1.1 Beta
* Unusable spells (based on current spec) no longer appear in the Healium menus/config panel
* Monks now have spells that appear in the Healium menus/config panel
* Class icon on config panel updated to use same icons from character creation window for all classes
* Removed default spells from some clases if they were removed or repurposed
* Updated cure effects for all classes

2.1.0 Beta
* Initial support for MoP beta.  

2.0.6
* Added "Holy Word: Serenity" to Priest's default spell list.  Note- to configure this, you will either need to either select it in a Healium config panel drop-down or use the "Configure Button" menu. Drag and dropping it doesn't seem to work due to the spell's dynamic nature.
* Added checkbox option "Show names in UPPERCASE".  Previously this was hard-coded on without any option.
* Added "/hlm toggle" slash handler.  This toggles visibility of Healium frames.  This is the same as Shift + Left clicking on the Healium minimap icon.
* The toggle frames feature now reports whether the frames are currently shown or hidden after performing its operation.

2.0.5
* Updated ToC version number

2.0.4
* Updated ToC version number

2.0.3
* Fixed new bug in 2.0.0: When using the Healium config panel to overwrite a macro or item, it would still consider the spell in that slot to be a macro or item

2.0.2 
* Fixed new bug in 2.0.0: Toggle frames caused a LUA error.
* Cooldowns for macros

2.0.1
* Fixed new bug in 2.0.0: Spells did not range check unless you re-assigned them.

2.0.0
* Support wow version 4.1
* Added support for Macros and Items.  You must use Drag and Drop to configure them both, as neither macros nor items appear in the Healium menus.  
   Macros must use [@mouseover] modifier to work correctly with Healium, otherwise they will use the default macro target logic (usually cast on you or your current target)
   Here is an example macro for instant Druid's Healing Touch that works with Healium:
   
	#showtooltip
	/cast Nature's Swiftness
	/cast [@mouseover] Healing Touch
   
   Note that if you omit the [@mouseover] it will cast on your current target or yourself, instead of using the target assigned to the Healium button.

* Removed ability to auto-import Button Assignments and Button Count settings from ancient versions of Healium (prior to .9.3.0)
* Added /hlm show target and /hlm show focus slash commands
   

1.4.0 
* Added Healium Target and Focus unit frames
* Added option to show raid icons (raid icon support already existed but there was no option to turn it off)
* Fixed bug with raid icons being incorrect sometimes when the party/raid makeup changes

1.3.0
* Added show Incoming Heals option
* Toggle Frames will turn on Party and Pets frames if all frames are off and no frames were previously toggled off.  i.e. When it would otherwise do nothing at all.

1.2.0 
* Removed all logic that causes buttons to grey out.
* Removed all frame strata settings.  This caused some parts of the Healium UI to sometimes incorrectly appear in front of or behind other UI elements.
* Power Word: Shield now bases its cooldown on the unit's Weakened Soul debuff.  -- Should make many priests happy!
* Swift Mend now bases its greyed state on the unit's Rejuvination and Regrowth buffs.  -- Should make many druids happy!
* Added Show Threat option
* Added Show Roles option
* Added Unleash Elements for Shamen

1.1.6
* Fix Healium buffs tooltip was generating a LUA error.  This error was caused in 1.1.5.

1.1.5
* Fix for showing the wrong name sometimes for some party / raid members after 4.0.3 patch.  

1.1.4
* Additional fix for names appearing as "Unknown" in random dungeon type groups, due to new unit frame bugs introduced by Blizzard in wow 4.0.3.

1.1.3
* Fixed names appearing as "Unknown Entity".  This started happening after 4.0.3 update and an apparantly new bug by Blizzard where unitIDs for Secure Unit Header child frames no longer have a unitid set before calling OnShow handler.

1.1.2
* Fixed issues caused when Enable Clique Support is on.  This caused heal buttons to not appear, among other things.

1.1.1 
* Added back Natures Swiftness for Shamen
* Added back Wild Growth for Druids

1.1.0 
* Update to work with wow 4.0.1

1.0.2
* Healium Friends frame is not always shown by default regardless of setting
* Configuration buttons from Healium menu now updates the corresponding dropdown in config panel
* Added Show Friends menu option to Healium menu

1.0.1
* Fixed Toggle Frames error with Friends Frame (new bug in 1.0.0)
* Added Cure Poison spell for druids and also added it to the debuff warning logic

1.0.0
* Added optional mana bar
* Raid icons support
* Long names will wrap to a 2nd line
* When a unit is dead, the HP percent text will say "dead", and the healthbar will be at 0.
* Added Friends frame
* Misc. optimizations
* Fixed taint issue when dinging while in combat
* Fixed issue with "Configure Buttons" menu not showing spells after a /reload, and probably other unknown related issues

.9.5.0
* Added "Set button count" to the Healium menu.  This allows you a simple way to set the number of buttons to show.
* Added "Configure Buttons" to the Healium menu,  This allows you a smiple way to configure the spells assigned to each Healium button.
* Gift of the Naaru should once again show in the dropdowns for Dranei.
* Improved drag and drop support.  The main goal was to make it easier to move spells around by dragging and dropping.
* You may now hold down shift and drag on a healium button to "pick up" that spell
* If you release your mouse button during the drag operation, you may left click a healium button to replace its currently assigned spell.  Previously this wouldn't work.
* If you drop a spell onto a healium button while holding shift it will replace the spell but also pick up the spell being replaced.

.9.4.1
* Added "/hlm reset frames" command line option to reset all frame positions
* Added "Reset all frame position" to the Healium menu

.9.4.0
* Debuff warning system
* The built-in spell list is now auto-translated. This means non-english wow verions will now have the spells in the button dropdowns in the config panel.  This is not a full translation of the entire addon, just the spell names.
* Clique addon and related click-to-cast addons support
* Shows tooltips for your buffs on a player

.9.3.6
* Fixed spell update issues caused in .9.3.5.

.9.3.5
* Fixed loading and LUA errors caused in .9.3.4

.9.3.4 
* Added Lock Frames checkbox to config panel.  
* Added tool-tips to controls on config panel.

.9.3.3 
This version was not released to the public.
* Switced to using Curse source control and automatic packaging, so the .zip names will be in a little different format.
* .zip now includes a changelog.txt that contains this same exact text.
* Added "Cure Toxins" to Shaman spell list, and removed the two it replaces.

.9.3.2
* Added Hide Close Buttons checkbox to config panel.  This will hide the X button so you don't accidently close the frame.
* Added Hide Captions checkbox to config panel.  This will hide the caption bar above the Healium frames when you move your mouse away.

.9.3.1
* Fixed LUA errors caused in .9.3.0:
Interface\FrameXML\UIDropDownMenu.lua:604 attempt to index local 'button' (a nil value) 
Interface\FrameXML\UIDropDownMenu.lua:859 attempt to index local 'filterText' (a nil value)

.9.3.0
* The button configuration and button count settings are now saved seperately for each talent specialization.  When you log in, your existing button configuration will be automatically imported as the button configuration for each talent specialization, requiring nothing on your part.  Any button changes you make will now only be applied to the configuration specific to the talent specialization you are in at the time of the change.

e.g. if you have a paladin with a holy spec and a ret spec, you may configure Healium while in your ret spec to not have Holy Shock, which is only available via talent, but when you switch back to holy spec, Holy Shock will be there (unless you remove it while in the Holy spec.)

* Fixed scrollbar on config panel to quit scrolling infinitely.

.9.2.3
* Added ability to right click any Healium button to cast the spell on your current target instead of its intended target.  This might be useful in emergencies or just as a way to cast spells/buffs on other people, using the Healium UI.

.9.2.2
* Fixed resetting of Healium frame positions each time you logged in.  I think this bug was probably new in .9.2.0
* Fixed config panel frame checkboxes are now checked/unchecked correctly when showing or hiding Healium frames
* Added /hlm slash commands

.9.2.1
* sync to wow version 3.3.0

.9.2.0
* Drag and Drop directly from spell book to buttons to configure spells
* Buffs and other spells are supported (only via drag and drop from the spell book, not in the drop downs).  Inventory and macros might be supported in the future but I don't consider this a priority.
* Added Tanks Unit Frame (Shows the assigned Tanks in the raid)
* Increased the width of the spell drop downs in the config panel
* When dragging a unit frame by the caption - it no longer will stop moving when the party/raid changes.  It will however still do this if you were right-click dragging on a health-bar.
* Fix to Use Class Colors setting- It wasn't being applied until the player's health changed.
* Misc Taint fixes, including an annoying one (caused in .9.1.0) while in combat when a unit frame was created you would get "action was blocked in combat " message and the unit frame would have 15 buttons visible no matter how many you had configured.
* Hide All Frames, via menu and via shift + left click on the Healium mini map button now toggles it's frames on and off.   It is smart- if any frame is visible it will toggle them all of and the next time you toggle, it will toggle back on just the frames it hid via the previous toggle.

.9.1.0
Unit Frames
Prior to this update, Healium placed every player of the raid, into a single column.  For a single party or maybe a 10 man raid this was ok.   But for a 25 man raid it was pretty troublesome in a lot of ways.  First of all, you couldn’t easily tell who was in what group so if you were assigned to heal particular group(s) it wasn’t very easy in Healium.  On top of that there was a 25 man limit.   Now Healium has multiple independent and movable frames!
Here are the frames:
* Party – Shows your current party
* Pets – Shows all pets in your group or raid.  That’s right- now you can now heal pets with Healium.  This was impossible before.
* Me – Shows you only.  You’re important and if you are in a large raid or battleground it’s not always easy to remember what group and position you are in.  With this frame open, you can always position your frame anywhere you want.  You can actually appear in multiple frames at the same time (Me, Party, and your raid group).
* Group1-8 – Shows the corresponding raid group. The 25 man limit has been removed and you can now see groups 6-8.
* The frames have a draggable caption and close button.  
* Player’s health bars are now true unit frames.
* Left clicking on a player’s health bar will now target the player.  
* If you have a spell primed then you can left click the health bar to cast it on them.
*  Right clicking on a player’s health bar will allow you to drag the entire frame.

Healium Menu
Left clicking on the Healium mini map icon will now open a menu. The fist menu “Healium Config Panel” will open the config panel (same as left clicking the Healium mini map icon before this update.)  The menu “Show / Hide Frames” will allow you to show and hide particular frames or group of frames.   Right clicking on a Healium frame caption will also open this menu!

Buffs / HOTs
* Your active buffs/HOTs on players will show up as small icons just to the left of their health bar.  The icons have cooldown animations so you can judge how long they have left.  It also shows how many times the spell is stacked.  Only the spells you have assigned to Healium which you have personally cast will show up.  This feature is incredibly useful for spells like Beacon of Light (Paladin), Lifebloom (Druid), Prayer of Mending (Priest), among many others.
15 Buttons
* The maximum number of buttons has been increased from 8 to 15.  
New Available Spells
These spells will now appear in the Config Panel button dropdowns if you have the spell.
* Draenei– Gift of the Naaru
* Mage – Remove Curse
* Druid – Rebirth, Remove Curse

Configuration Panel
Added
* Show Button Tooltips checkbox – Controls whether or not a tooltip with the spell info is shown when hovering over a healing button.  A few people requested this as an option because the position of the tooltip was covering up something important on their UI.   Maybe in the future I can add an option that controls the position of the tooltip, but for now at least you can toggle it off.
* Show Health Percentage checkbox – Controls whether or not to show the health percentage text on health bars.
* Use Class Colors checkbox – If checked, the health bar color will be the color of the player’s class instead of green/yellow/red based on their current health.
* Show Frames checkboxes: Party, Pets, Me, Group1-8 – Toggling these will show or hide the corresponding frame.
* Show Buffs checkbox – Controls whether or not to show your buffs beside each player’s health bar.  Only your buffs which have also been assigned to Healium will be shown.
Removed 
* Default Party Frames – This option was especially troubling to support after the unit frames coding changes.  If anyone misses this, say so as it is probably salvageable, but with a lot of work.
* Raid Scale setting – This setting was there to support shrinking the UI when in “raid mode” to allow the single column to fit on the screen.  Now that we have multiple frames support I don’t see a need to have a separate setting; just use the Scale setting which now controls the scale for all frames.  
* No Raid checkbox – If you don’t want to see raid frames, either close them or just don’t open them.
* Enabled checkbox – Before this update, this was your only option to close the main Healium frame.  Now you can close the individual frames instead.

.9.0.5
* Fixed spellbook blocking issue.  

.9.0.4
* Added "Penance" to Priests spell list.

.9.0.3
* Added "Cleanse Spirit" and "Riptide" to Shaman spell list.

.9.0.2
* Added "Guardian Spirit" to Priests spell list.
* Fixed memory leaks.
* Tweaks to raid support.  You will always appear on the bottom when in raids now.

.9.0.1
* Fixed serious lag spike when respeccing.
* Increased max button count from 7 to 8
* Added druid spells "Wild Growth", and "Innervate" to the available spells list for druids.

.9.0 
* Initial Release
